public class Borrower extends Person1 {
  private Loan loan;

  /** Tworzy obiekt typu Borrower z właściwościami domyślnymi */
  public Borrower() {
    super();
  }

  /** Tworzy obiekt typu Borrower z określonym nazwiskiem i adresem */
  public Borrower(Name name, Address address) {
    super(name, address);
  }

  /** Zwraca obiekt typu Loan */
  public Loan getLoan() {
    return loan;
  }

  /** Ustawia nowy obiekt typu Loan */
  public void setLoan(Loan loan) {
    this.loan = loan;
  }

  @Override /** Łańcuch reprezentujący obiekt typu Borrower */
  public String toString() {
    return super.toString() +
      "Miesięczna rata: " + loan.getMonthlyPayment() + '\n' +
      "Do spłaty: " + loan.getTotalPayment();
  }
}
